#include "Utilities.h"

GLuint LoadTriangle()
{
    GLuint VBO;
    GLuint VAO;

    std::vector<glm::vec2> positions;
    positions.push_back(glm::vec2(-0.5f, -0.5f));
    positions.push_back(glm::vec2( 0.5f, -0.5f));
    positions.push_back(glm::vec2( 0.0f,  0.5f));

    struct Vertex
    {
        glm::vec2 position;
    };

    std::vector<Vertex> BufferData;

    for (int i = 0; i < positions.size(); i++)
    {
        BufferData.push_back({ positions[i] });
    }

    glGenBuffers(1, &VBO);

    glBindBuffer(GL_ARRAY_BUFFER, VBO);
    glBufferData(GL_ARRAY_BUFFER, sizeof(Vertex) * BufferData.size(), BufferData.data(), GL_STATIC_DRAW);

    glGenVertexArrays(1, &VAO);
    glBindVertexArray(VAO);

    glVertexAttribPointer(0, 2, GL_FLOAT, GL_FALSE, sizeof(Vertex), (void*)0);

    glEnableVertexAttribArray(0);

    return VAO;
}